Create a managed integration
- Base URL
-
https://{kibana_url}
- POST /api/fleet/managed_integrations
- POST /s/{space_id}/api/fleet/managed_integrations
Refer to Spaces for more information.
Create a managed integration
Request body
-
additional_datastreams_permissionsstring · max items: 100nullable -
Additional data stream permissions that will be added to the agent policy.
-
cloud_connectorobjectnullable -
cloud_connector_idstring · max length: 256 -
ID of an existing cloud connector to reuse. If not provided, a new connector is created. Requires
enabled: trueand cannot be combined withname. -
enabledboolean · default: false -
Set to
trueto attach a cloud connector to this policy. Must betrueto set any ofcloud_connector_id,name, ortarget_csp. -
create_dataset_templatesboolean -
When true, install dedicated index templates for streams with a custom data_stream.dataset. Defaults to true for input packages, false for integration packages.
-
forceboolean -
Force package policy creation even if the package is not verified, or if the agent policy is managed.
-
Name of the custom field. The name cannot contain spaces.
-
Value of the custom field.
-
inputsmap string to object -
Package policy inputs. Refer to the integration documentation to know which inputs are available.
-
<string>object -
conditionstring · max length: 10000nullable -
Agent condition expression to evaluate whether to apply this input.
-
streamsmap string to object -
Input streams. Refer to the integration documentation to know which streams are available.
-
namespacestring · max length: 100 -
Policy namespace. When not specified, it inherits the agent policy namespace.
-
policy_templatestring · max length: 256 -
The policy template to use for the managed integration. If not provided, the default policy template is used.
Responses
Indicates a successful response
-
itemobjectrequired -
additional_datastreams_permissionsstring · max items: 1000 -
Additional data stream permissions granted to the managed integration.
-
Custom data tags applied to all data produced by this policy.
-
The name of the custom field.
-
The value of the custom field.
-
inputsmap string to objectrequired -
Package policy inputs. Refer to the integration documentation to know which inputs are available.
-
<string>object -
conditionstring · max length: 10000nullable -
Agent condition expression to evaluate whether to apply this input.
-
streamsmap string to object -
Input streams. Refer to the integration documentation to know which streams are available.
Bad Request